Skip to main content

Profanity

You can filter users' chat messages in real time based on the profanity list.
Look up and manage the profanity list through the API.

Load profanity list​

HTTP request​

GET https://platformapi.thebackend.io/chat/v1/bad_word_list

Responses​

Status: 200 OK
[
{
"filters": ["GM", "MASTER"],
"language": "all"
},
{
"filters": ["GM", "Master"],
"language": "ko-kr"
}
]

Error​

Status: 400 Bad Request
{
"message": "There is a problem with the user credentials.",
"code": 400701,
"error": true
}

Edit profanity list​

HTTP request​

PUT https://platformapi.thebackend.io/chat/v1/bad_word_list

Request body​

Property nameTypeDescription
languagestringLanguage to be processed (language code list)
filtersstring arrayProfanity list
{
"language": "ko-kr",
"filters": ["GM", "Master"],
}

Responses​

If successful, the result is returned as a request body.

Error​

Status: 400 Bad Request
{
"message": "There is a problem with the user credentials.",
"code": 400701,
"error": true
}